/*
 * 作成日: 2003/10/23
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
package jp.ne.dti.venus.okazaki.xls2src;

/**
 * @author kenichi_home
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
public class Util {

	
	/**
	 * 先頭の文字を大文字に変換
	 * 
	 * @param 文字列
	 * @return
	 */
	public String uCaseFC(String textString) {

		if (textString.length() == 0) {
			return "";
		}

		char textChars[] = textString.toCharArray();

		textChars[0] = Character.toUpperCase(textChars[0]);

		return new String(textChars);
	}
	
	/**
	 * 先頭の文字を大文字に変換
	 * 
	 * @param 文字列
	 * @return
	 */
	public String u(String textString) {
		return uCaseFC( textString );
	}
	
//	/**
//	 * 先頭の文字を大文字に変換します
//	 * 
//	 * @param 文字列
//	 * @return
//	 */
//	public String getUCaseFC(String s) {
//		if (s.length() == 0) {
//			return s;
//		}
//
//		char chars[] = s.toCharArray();
//		chars[0] = Character.toUpperCase(chars[0]);
//		return new String(chars);
//	}
	
}
